commit 49b3d88e9dc9314814d416dcebc25ca028576c30
Author: Will Schmidt <will_schmidt@vnet.ibm.com>
Date:   Wed Sep 9 10:59:38 2020 -0500

    [PATCH,rs6000] Testsuite fixup pr96139 tests
    
    Hi,
      As reported, the recently added pr96139 tests will fail on older targets
      because the tests are missing the appropriate -mvsx or -maltivec options.
      This adds the options and clarifies the dg-require statements.
    
      The pr96139-c.c test needs -maltivec to work, but does not actually use
      vectors, so does not require -mvsx like the others.
    
      Sniff-regtested OK when specifying older targets on a power7 host.
      --target_board=unix/'{-mcpu=power4,-mcpu=power5,-mcpu=power6,-mcpu=power7,
      -mcpu=power8,-mcpu=power9}''{-m64,-m32}'"
    
    gcc/testsuite/ChangeLog:
            * gcc.target/powerpc/pr96139-a.c: Specify -mvsx option and update the
            dg-require stanza to match.
            * gcc.target/powerpc/pr96139-b.c: Same.
            * gcc.target/powerpc/pr96139-c.c: Specify -maltivec option and update
            the dg-require stanza to match.
    
    (cherry picked from commit 2fda9e9badbd78d1033075a44a7d6c1b33de239c)

diff --git a/gcc/testsuite/gcc.target/powerpc/pr96139-a.c b/gcc/testsuite/gcc.target/powerpc/pr96139-a.c
index b3daee4b1ae..12a3383902c 100644
--- a/gcc/testsuite/gcc.target/powerpc/pr96139-a.c
+++ b/gcc/testsuite/gcc.target/powerpc/pr96139-a.c
@@ -1,7 +1,7 @@
 /* { dg-do compile } */
-/* { dg-options "-O2 -Wall -m32" } */
+/* { dg-options "-O2 -Wall -m32 -mvsx" } */
 /* { dg-require-effective-target ilp32 } */
-/* { dg-require-effective-target powerpc_altivec_ok } */
+/* { dg-require-effective-target powerpc_vsx_ok } */
 
 #include <stdio.h>
 #include <altivec.h>
diff --git a/gcc/testsuite/gcc.target/powerpc/pr96139-b.c b/gcc/testsuite/gcc.target/powerpc/pr96139-b.c
index 19c1110d0b3..379849a591a 100644
--- a/gcc/testsuite/gcc.target/powerpc/pr96139-b.c
+++ b/gcc/testsuite/gcc.target/powerpc/pr96139-b.c
@@ -1,7 +1,7 @@
 /* { dg-do compile } */
-/* { dg-options "-O2 -Wall -m64" } */
+/* { dg-options "-O2 -Wall -m64 -mvsx" } */
 /* { dg-require-effective-target lp64 } */
-/* { dg-require-effective-target powerpc_altivec_ok } */
+/* { dg-require-effective-target powerpc_vsx_ok } */
 
 #include <stdio.h>
 #include <altivec.h>
diff --git a/gcc/testsuite/gcc.target/powerpc/pr96139-c.c b/gcc/testsuite/gcc.target/powerpc/pr96139-c.c
index 2464b8da4f7..3ada2603428 100644
--- a/gcc/testsuite/gcc.target/powerpc/pr96139-c.c
+++ b/gcc/testsuite/gcc.target/powerpc/pr96139-c.c
@@ -1,5 +1,5 @@
 /* { dg-do run } */
-/* { dg-options "-O2 -Wall" } */
+/* { dg-options "-O2 -Wall -maltivec" } */
 /* { dg-require-effective-target powerpc_altivec_ok } */
 
 /*

